Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Private Attributes | List of all members
TreeItemObjectSelection Class Reference

## Public Member Functions
| TreeItemObjectSelection (int _id, QString _name, DataType _type, TreeItemObjectSelection *_parent)
int | id ()
| id
DataType | dataType ()
| dataType
bool | dataType (DataType _type)
int | group ()
| group
bool | isGroup ()
bool | visible ()
| visible
void | visible (bool _visible)
QString | name ()
| name
void | name (QString _name)
TreeItemObjectSelection * | next ()
int | level ()
Tree : Parent nodes
int | row () const
| get the row of this item from the parent
TreeItemObjectSelection * | parent ()
| Get the parent item ( 0 if rootitem )
void | setParent (TreeItemObjectSelection *_parent)
| Set the parent pointer.
Tree : Children
TreeItemObjectSelection * | childExists (int _objectId)
| Check if the element exists in the subtree of this element.
TreeItemObjectSelection * | childExists (QString _name)
| Check if the element exists in the subtree of this element.
void | appendChild (TreeItemObjectSelection *child)
| add a child to this node
TreeItemObjectSelection * | child (int row)
| return a child
int | childCount () const
| get the number of children
void | removeChild (TreeItemObjectSelection *_item)
| Remove a child from this object.
QList< TreeItemObjectSelection * > | getLeafs ()
| get all leafes of the tree below this object ( These will be all visible objects )
void | deleteSubtree ()
| delete the whole subtree below this item ( The item itself is not touched )

## Private Attributes
int | id_
DataType | dataType_
bool | visible_
QString | name_
TreeItemObjectSelection * | parentItem_
| Parent item or 0 if rootnode.
QList< TreeItemObjectSelection * > | childItems_
| Children of this node.

## Detailed Description

Definition at line 59 of file TreeItemObjectSelection.hh.

## Member Function Documentation

int TreeItemObjectSelection::level | ( |  | ) |

level of the current object ( root node has level 0)

Definition at line 180 of file TreeItemObjectSelection.cc.

TreeItemObjectSelection * TreeItemObjectSelection::next | ( |  | ) |

Get the next item of the tree (Preorder traversal of the tree)

Definition at line 145 of file TreeItemObjectSelection.cc.

The documentation for this class was generated from the following files:

- OpenFlipper/publicWidgets/objectSelectionWidget/TreeItemObjectSelection.hh
- OpenFlipper/publicWidgets/objectSelectionWidget/TreeItemObjectSelection.cc